--------------------------------------------------------------------------------
-- Company: OHO-ELEKTRONIK
-- Engineer: <M.Randelzhofer>
--
-- Create Date: 1.10.2005
-- Design Name: GOP_XC2C64_BLINK_RC
--------------------------------------------------------------------------------


library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;


entity ucf_xc2c64_blink_rc is
Port (	osc : in std_logic ;
		rcout : in std_logic ;
		tp2,tp3,tp4,tp5,tp6,gck2: inout std_logic ;
		pin1,pin2,pin3,pin4,pin5,pin6,pin7,pin8,pin9,pin10,pin11: inout std_logic ;
		pin13,pin14,pin15,pin16,pin17,pin18,pin19,pin20,pin21,pin22,pin23: inout std_logic ;
		ledrd,ledgn,rcin : out std_logic);
end ucf_xc2c64_blink_rc;

architecture Behavioral of ucf_xc2c64_blink_rc is

component BUFG
 port (I:in STD_LOGIC; O:out STD_LOGIC) ;
end component;

component OBUF
 port (I:in STD_LOGIC; O:out STD_LOGIC) ;
end component;


signal clock:	STD_LOGIC ;

signal clkdiv:	STD_LOGIC_VECTOR (8 downto 0) ;







begin
-- use gck3 as global clock net
CLOCKOUT:	OBUF port map (I => rcout, O => gck2) ;
CLOCKIN:	BUFG port map (I => gck2, O => clock) ;

-- RC oscillator
rcin <= not rcout ;


CLOCK_DIV: process(clock)
begin
  if (clock'event and clock ='1') then
		clkdiv <= clkdiv + 1 ;

  end if ;
end process;

ledrd <= clkdiv(8) and tp2 ;
ledgn <= not clkdiv(8) and not tp2 ;


end Behavioral;
